from pandac.PandaModules import *
loadPrcFileData("", "win-size 800 800")
loadPrcFileData("", "sync-video 0")
import direct.directbase.DirectStart
from direct.task.Task import Task

base.setFrameRateMeter(True)
base.disableMouse()

c=CardMaker("CardMaker")
c.setFrameFullscreenQuad()
n=render2d.attachNewNode(c.generate())
n.setShader(loader.loadShader("Test.sha"))

base.camera.setPos(-.5,.5,-1)
n.setShaderInput("cam", base.camera.getX(),base.camera.getY(),base.camera.getZ())

last=0
def doFrame(task):
    elapsed = task.time - last
    base.camera.setPos(base.camera.getPos()+Vec3(0,.0005,.0005)*elapsed)
    n.setShaderInput("cam", base.camera.getX(),base.camera.getY(),base.camera.getZ())
    return Task.cont

taskMgr.add(doFrame, "doFrame",sort = 49)

run()